Bug 29085 - Anaconda Dump When Configuring Firewall
Anaconda Dump When Configuring Firewall
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-23 11:28 EST by Johnray Fuller
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-28 10:56:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnray Fuller 2001-02-23 11:28:08 EST
Hello,

I have an IBM Netfreakedy 3500. It has an onboard EEPro100 NIC and an DEC
tulip card on eth1. I was executing a graphical and configuring the
firewall. I selected eth1 and not eth0 then hit the forward button. I
decided to go back and add eth0, so I hit the back button. I noticed
immediately that eth0 had disapeared as an option and within a few seconds,
I got the python dump.

Here's the dump:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 509, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 376, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 851, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 459, in
nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/firewall_gui.py", line
41, in getNext
    (val, row_data, header) = self.trusted.get_row_data (count)
TypeError: unpack non-sequence

Local variables in innermost frame:
val: 1
count: 1
row_data: None
self: <firewall_gui.FirewallWindow instance at 85a42b0>
header: 
device: eth1

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S''
sS'videoCardStateNode'
p7
S''
sS'ddruidReadOnly'
p8
I0
sS'bootdisk'
p9
I1
sS'videoRamState'
p10
S''
sS'monitorOriginalName'
p11
S''
sS'language'
p12
(itodo
Language
(dp13
S'langInfoByName'
p14
(dp15
S'Arabic (Yemen)'
p16
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p17
(S'es_AR'
S'iso01'
S'lat0-sun16'
tsS'Spanish'
p18
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p19
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p20
(S'es_GT'
S'iso01'
S'lat0-sun16'
tsS'Malay (Malaysia)'
p21
(S'ms_MY'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p22
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p23
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p24
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Kuwait)'
p25
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (South Africa)'
p26
(S'en_ZA'
S'iso01'
S'lat0-sun16'
tsS'French (Switzerland)'
p27
(S'fr_CH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Bahrein)'
p28
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Portuguese'
p29
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Croatian'
p30
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'Greenlandic (Greenland)'
p31
(S'kl_GL'
S'iso01'
S'lat0-sun16'
tsS'Korean (Republic of Korea)'
p32
(S'ko_KR.euckr'
S'iso01'
S'lat0-16'
tsS'Ukrainian'
p33
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Spanish (Mexico)'
p34
(S'es_MX'
S'iso01'
S'lat0-sun16'
tsS'Greek'
p35
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p36
(S'es_SV'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Peru)'
p37
(S'es_PE'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Honduras)'
p38
(S'es_HN'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Costa Rica)'
p39
(S'es_CR'
S'iso01'
S'lat0-sun16'
tsS'English (Denmark)'
p40
(S'en_DK'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Netherlands)'
p41
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p42
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p43
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Afrikaans (South Africa)'
p44
(S'af_ZA'
S'iso01'
S'lat0-sun16'
tsS'Norwegian'
p45
(S'no_NO'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Morocco)'
p46
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (Philippines)'
p47
(S'en_PH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Algeria)'
p48
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Indonesian'
p49
(S'id_ID'
S'iso01'
S'lat0-sun16'
tsS'Danish'
p50
(S'da_DK'
S'iso01'
S'lat0-sun16'
tsS'Chinese (Taiwan R.O.C.)'
p51
(S'zh_TW.euctw'
S'iso01'
S'lat0-16'
tsS'Faroese (Faroe Islands)'
p52
(S'fo_FO'
S'iso01'
S'lat0-sun16'
tsS'Galician (Spain)'
p53
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p54
(S'en_NZ'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Bolivia)'
p55
(S'es_BO'
S'iso01'
S'lat0-sun16'
tsS'Cornish (Britain)'
p56
(S'kw_GB'
S'iso01'
S'lat0-sun16'
tsS'Arabic (United Arab Emirates)'
p57
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p58
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p59
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p60
(S'es_PY'
S'iso01'
S'lat0-sun16'
tsS'Hebrew (Israel)'
p61
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'English (USA)'
p62
(S'en_US'
S'iso01'
S'lat0-sun16'
tsS'Spanish (USA)'
p63
(S'es_US'
S'iso01'
S'lat0-sun16'
tsS'Portuguese (Brasil)'
p64
(S'pt_BR'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Equador)'
p65
(S'es_EC'
S'iso01'
S'lat0-sun16'
tsS'English (Ireland)'
p66
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Polish'
p67
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p68
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p69
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Spanish (Chile)'
p70
(S'es_CL'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Syrian Arab Republic)'
p71
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p72
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p73
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Italian'
p74
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p75
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p76
(S'it_CH'
S'iso01'
S'lat0-sun16'
tsS'German (Belgium)'
p77
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p78
(S'sq_AL'
S'iso01'
S'lat0-sun16'
tsS'Finnish'
p79
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'English (Singapore)'
p80
(S'en_SG'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Belgium)'
p81
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p82
(S'es_PA'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Venezuela)'
p83
(S'es_VE'
S'iso01'
S'lat0-sun16'
tsS'English (Great Britain)'
p84
(S'en_GB'
S'iso01'
S'lat0-sun16'
tsS'Russian'
p85
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p86
(S'nn_NO'
S'iso01'
S'lat0-sun16'
tsS'English (Zimbabwe)'
p87
(S'en_ZW'
S'iso01'
S'lat0-sun16'
tsS'Swedish'
p88
(S'sv_SE'
S'iso01'
S'lat0-sun16'
tsS'French'
p89
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p90
(S'es_NI'
S'iso01'
S'lat0-sun16'
tsS'German (Luxemburg)'
p91
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Colombia)'
p92
(S'es_CO'
S'iso01'
S'lat0-sun16'
tsS'Basque (Spain)'
p93
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p94
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p95
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p96
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'German'
p97
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p98
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p99
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p100
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p101
(S'ja_JP.eucJP'
S'iso01'
S'lat0-16'
tsS'Swedish (Finland)'
p102
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p103
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p104
(S'es_DO'
S'iso01'
S'lat0-sun16'
tsS'French (Canada)'
p105
(S'fr_CA'
S'iso01'
S'lat0-sun16'
tsS'English (Canada)'
p106
(S'en_CA'
S'iso01'
S'lat0-sun16'
tsS'Slovenian (Slovenia)'
p107
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p108
(S'es_UY'
S'iso01'
S'lat0-sun16'
tsS'German (Switzerland)'
p109
(S'de_CH'
S'iso01'
S'lat0-sun16'
tsS'English (Hong Kong)'
p110
(S'en_HK'
S'iso01'
S'lat0-sun16'
tsS'English (Australia)'
p111
(S'en_AU'
S'iso01'
S'lat0-sun16'
tsS'Catalan (Spain)'
p112
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p113
(S'es_PR'
S'iso01'
S'lat0-sun16'
tsS'Turkish'
p114
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p115
(S'et_EE'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Sudan)'
p116
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p117
(S'is_IS'
S'iso01'
S'lat0-sun16'
tsS'English (Botswana)'
p118
(S'en_BW'
S'iso01'
S'lat0-sun16'
tsS'Manx Gaelic (Britain)'
p119
(S'gv_GB'
S'iso01'
S'lat0-sun16'
tssS'allSupportedLangs'
p120
(lp121
g44
ag78
ag48
ag28
ag95
ag24
ag75
ag25
ag19
ag22
ag46
ag23
ag94
ag103
ag116
ag71
ag99
ag57
ag16
ag93
ag112
ag51
ag56
ag30
ag72
ag50
ag81
ag41
ag111
ag118
ag106
ag40
ag84
ag110
ag66
ag54
ag47
ag80
ag26
ag62
ag87
ag115
ag52
ag79
ag89
ag96
ag105
ag100
ag27
ag53
ag97
ag58
ag77
ag91
ag109
ag35
ag31
ag61
ag98
ag117
ag49
ag73
ag74
ag76
ag101
ag32
ag69
ag21
ag119
ag45
ag86
ag67
ag29
ag64
ag59
ag85
ag43
ag42
ag68
ag107
ag18
ag17
ag55
ag70
ag92
ag39
ag104
ag36
ag65
ag20
ag38
ag34
ag90
ag82
ag60
ag37
ag113
ag63
ag108
ag83
ag88
ag102
ag114
ag33
asS'info'
p122
(dp123
S'SUPPORTED'
p124
S'en_US:en'
p125
ssS'supported'
p126
(lp127
g62
asS'default'
p128
NsbsS'instClass'
p129
(icustom
InstallClass
(dp130
S'rootPasswordCrypted'
p131
I0
sS'raidList'
p132
(lsS'nameserver'
p133
S''
sS'x'
NsS'rootPassword'
p134
NsS'makeBootdisk'
p135
I0
sS'installType'
p136
NsS'postScript'
p137
NsS'earlySwapOn'
p138
I0
sS'networkDevice'
p139
NsS'fstab'
p140
(lsS'clearText'
p141
NsS'lilo'
p142
(S'mbr'
p143
I1
S''
tsg12
NsS'name'
p144
S''
sS'postInChroot'
p145
I0
sS'pixmap'
p146
S''
sS'partitions'
p147
(lp148
(S'/boot'
p149
(I16
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/'
(I700
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'swap'
p150
(I64
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNtasS'clearType'
p151
S'wkst'
p152
sS'gateway'
p153
S''
sS'mouse'
p154
NsS'packages'
p155
NsS'timezone'
p156
NsS'zeroMbr'
p157
I0
sS'keyboard'
p158
NsS'groups'
p159
NsS'bootProto'
p160
NsS'netmask'
p161
S''
sS'langdefault'
p162
NsS'skipSteps'
p163
(dsS'auth'
p164
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsS'hostname'
p165
NsS'langsupported'
p166
NsS'showgroups'
p167
NsS'ip'
p168
S''
sS'firewall'
p169
(I-1
I1
(lp170
S'eth1'
p171
aS'eth0'
p172
aS''
I0
I0
I0
I0
I0
I0
tsS'defaultRunlevel'
p173
NsS'desktop'
p174
S''
sS'clearPartText'
p175
S'You are about to erase any preexisting Linux installations on your
system.'
p176
sS'clearParts'
p177
I2
sbsS'bdstate'
p178
S'TRUE'
p179
sS'extraModules'
p180
(lp181
sS'rootpassword'
p182
NsS'fdDevice'
p183
S'fd0'
p184
sS'installSystem'
p185
I1
sS'comps'
p186
NsS'verifiedState'
p187
Nsg164
(itodo
Authentication
(dp188
S'useNIS'
p189
I0
sS'nisServer'
p190
S''
sS'useLdap'
p191
I0
sS'krb5Kdc'
p192
S''
sS'ldapTLS'
p193
S''
sS'useHesiod'
p194
I0
sS'ldapServer'
p195
S''
sS'nisDomain'
p196
S''
sS'krb5Realm'
p197
S''
sS'useLdapauth'
p198
I0
sS'hesiodRhs'
p199
S''
sS'useShadow'
p200
I1
sS'nisuseBroadcast'
p201
I0
sS'useKrb5'
p202
I0
sS'useMD5'
p203
I1
sS'ldapBasedn'
p204
S''
sS'krb5Admin'
p205
S''
sS'hesiodLhs'
p206
S''
sS'hesiodDlhs'
p207
S''
sbsS'users'
p208
NsS'hdList'
p209
NsS'dhcpState'
p210
S''
sS'method'
p211
(iimage
CdromInstallMethod
p212
(dp213
g4

<failed>

I showed this error to Dr. Mike. He suspects it's a GUI issue. Support is
attempting to replicate te bug on another Netfreakedy without two NICs just
for fun.

Johnray out...
Comment 1 Glen Foster 2001-02-23 16:51:14 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Brent Fox 2001-02-25 12:18:36 EST
Hmm...not good.  Does the same thing happen in text mode?
Comment 3 Brent Fox 2001-02-28 10:55:59 EST
Confirmed this bug...this does not happen in text mode.
Comment 4 Brent Fox 2001-02-28 12:13:53 EST
Resolved in rawhide.  Thanks for your report.
Comment 5 Glen Foster 2001-03-02 13:05:02 EST
Our installer team-lead thinks we should really fix this before next release.

Note You need to log in before you can comment on or make changes to this bug.